Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.stat.descriptive
Interface StatisticalSummary

All Known Implementing Classes:
  AggregateSummaryStatistics, DescriptiveStatistics, StatisticalSummaryValues, SummaryStatistics, SynchronizedDescriptiveStatistics, SynchronizedSummaryStatistics

    public interface StatisticalSummary

Reporting interface for basic univariate statistics.

Version:
  $Revision: 811786 $ $Date: 2009-09-06 11:36:08 +0200 (dim. 06 sept. 2009) $

Method Summary
`double` | `getMax()` Returns the maximum of the available values
`double` | `getMean()` Returns the arithmetic mean of the available values
`double` | `getMin()` Returns the minimum of the available values
`long` | `getN()` Returns the number of available values
`double` | `getStandardDeviation()` Returns the standard deviation of the available values.
`double` | `getSum()` Returns the sum of the values that have been added to Univariate.
`double` | `getVariance()` Returns the variance of the available values.

Method Detail

### getMean

    double getMean()

  Returns the arithmetic mean of the available values

  Returns:
    The mean or Double.NaN if no values have been added.

### getVariance

    double getVariance()

  Returns the variance of the available values.

  Returns:
    The variance, Double.NaN if no values have been added or 0.0 for a single value set.

### getStandardDeviation

    double getStandardDeviation()

  Returns the standard deviation of the available values.

  Returns:
    The standard deviation, Double.NaN if no values have been added or 0.0 for a single value set.

### getMax

    double getMax()

  Returns the maximum of the available values

  Returns:
    The max or Double.NaN if no values have been added.

### getMin

    double getMin()

  Returns the minimum of the available values

  Returns:
    The min or Double.NaN if no values have been added.

### getN

    long getN()

  Returns the number of available values

  Returns:
    The number of available values

### getSum

    double getSum()

  Returns the sum of the values that have been added to Univariate.

  Returns:
    The sum or Double.NaN if no values have been added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.